Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class SingletonFaultFactory

    java.lang.Object
      org.apache.cayenne.reflect.SingletonFaultFactory

All Implemented Interfaces:
  FaultFactory

    public class SingletonFaultFactory

extends Object
implements FaultFactory

Since:
  3.0

Field Summary
`protected Fault` | `listFault`
`protected Map<Accessor,Fault>` | `mapFaults`
`protected Fault` | `setFault`
`protected Fault` | `toOneFault`

Constructor Summary
`SingletonFaultFactory()`

Method Summary
`Fault` | `getCollectionFault()`
`Fault` | `getListFault()`
`Fault` | `getMapFault(Accessor mapKeyAccessor)`
`Fault` | `getSetFault()`
`Fault` | `getToOneFault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toOneFault

    protected Fault toOneFault

### listFault

    protected Fault listFault

### setFault

    protected Fault setFault

### mapFaults

    protected Map<Accessor,Fault> mapFaults

Constructor Detail

### SingletonFaultFactory

    public SingletonFaultFactory()

Method Detail

### getCollectionFault

    public Fault getCollectionFault()

  Specified by:
    `getCollectionFault` in interface `FaultFactory`

### getListFault

    public Fault getListFault()

  Specified by:
    `getListFault` in interface `FaultFactory`

### getMapFault

    public Fault getMapFault(Accessor mapKeyAccessor)

  Specified by:
    `getMapFault` in interface `FaultFactory`

### getSetFault

    public Fault getSetFault()

  Specified by:
    `getSetFault` in interface `FaultFactory`

### getToOneFault

    public Fault getToOneFault()

  Specified by:
    `getToOneFault` in interface `FaultFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.